curl --request POST \
--url https://api.galileo.ai/v2/projects/{project_id}/sessions \
--header 'Content-Type: application/json' \
--header 'Galileo-API-Key: <api-key>' \
--data '
{
"log_stream_id": "<string>",
"experiment_id": "<string>",
"metrics_testing_id": "<string>",
"logging_method": "api_direct",
"client_version": "<string>",
"reliable": true,
"name": "<string>",
"previous_session_id": "<string>",
"external_id": "<string>",
"user_metadata": {}
}
'import requests
url = "https://api.galileo.ai/v2/projects/{project_id}/sessions"
payload = {
"log_stream_id": "<string>",
"experiment_id": "<string>",
"metrics_testing_id": "<string>",
"logging_method": "api_direct",
"client_version": "<string>",
"reliable": True,
"name": "<string>",
"previous_session_id": "<string>",
"external_id": "<string>",
"user_metadata": {}
}
headers = {
"Galileo-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Galileo-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
log_stream_id: '<string>',
experiment_id: '<string>',
metrics_testing_id: '<string>',
logging_method: 'api_direct',
client_version: '<string>',
reliable: true,
name: '<string>',
previous_session_id: '<string>',
external_id: '<string>',
user_metadata: {}
})
};
fetch('https://api.galileo.ai/v2/projects/{project_id}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"project_id": "<string>",
"project_name": "<string>",
"previous_session_id": "<string>",
"external_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Session
Authorizations
Path Parameters
Body
Log stream id associated with the traces.
Experiment id associated with the traces.
Metrics testing id associated with the traces.
playground, python_client, typescript_client, api_direct Whether or not to use reliable logging. If set to False, the method will respond immediately before verifying that the traces have been successfully ingested, and no error message will be returned if ingestion fails. If set to True, the method will wait for the traces to be successfully ingested or return an error message if there is an ingestion failure.
Name of the session.
Id of the previous session.
External id of the session.
User metadata for the session.
Show child attributes
Show child attributes
Response
Successful Response
Session id associated with the session.
Name of the session.
Project id associated with the session.
Project name associated with the session.
Id of the previous session.
External id of the session.
Was this page helpful?